Income statements
get
Retrieves the income statements for a given ticker symbol.
Authorizations
AuthorizationstringRequired
Path parameters
tickerstringRequired
- The ticker symbol of the company.
Query parameters
periodstring · enumRequiredPossible values:
- The period type of the income statements.
limitnumber · doubleOptional
- The maximum number of income statements to return.
cikstringOptional
- The CIK number of the company.
Header parameters
AuthorizationstringRequired
- The authorization token.
Responses
200
A promise that resolves to an IncomeStatementsAPIResponse object containing the income statements.
application/json
Represents the response of the getIncomeStatements endpoint.
successbooleanRequired
The success status of the operation.
messagestringRequired
The message associated with the operation.
addressstringOptional
The address associated with the operation.
get/financial-datasets/income-statements/{ticker}
GET /financial-datasets/income-statements/{ticker}?period=annual HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200
A promise that resolves to an IncomeStatementsAPIResponse object containing the income statements.
{
"success": true,
"message": "text",
"body": {
"to": "text",
"data": "text",
"value": "text",
"gasLimit": "text",
"nonce": "text",
"simulate": true,
"gas": "text",
"gasPrice": "text",
"maxFeePerGas": "text",
"maxPriorityFeePerGas": "text",
"chain_id": "text",
"encoding": "text",
"type": 1,
"accessList": [
{
"address": "text",
"storageKeys": [
"text"
]
}
],
"blobGas": "text",
"blobGasFeeCap": "text",
"blobHashes": [
"text"
],
"dryrun": true,
"input": "text",
"EOA": true,
"contract_address": "text",
"token_id": "text",
"token_ids": "text",
"approved": true,
"broadcast": true,
"alwaysIncrementNonce": true,
"asset": "text",
"amount": "text",
"interestRateMode": 1,
"referralCode": 1,
"onBehalfOf": "text",
"receiverAddress": "text",
"assets": [
"text"
],
"amounts": [
"text"
],
"modes": [
1
],
"params": "text",
"rateMode": 1,
"useAsCollateral": true,
"collateralAsset": "text",
"debtAsset": "text",
"user": "text",
"debtToCover": "text",
"receiveAToken": true,
"inputTokens": [
{
"tokenAddress": "text",
"amount": "text"
}
],
"outputTokens": [
{
"tokenAddress": "text",
"proportion": 1
}
],
"slippageLimitPercent": 1,
"minHealthFactor": "text",
"premiums": [
"text"
],
"initiator": "text",
"role": "text",
"account": "text",
"initialDeposit": "text",
"borrowAmount": "text"
},
"address": "text",
"data": [
{
"ticker": "text",
"calendar_date": "text",
"report_period": "text",
"period": "quarterly",
"currency": "text",
"revenue": 1,
"cost_of_revenue": 1,
"gross_profit": 1,
"operating_expense": 1,
"selling_general_and_administrative_expenses": 1,
"research_and_development": 1,
"operating_income": 1,
"interest_expense": 1,
"ebit": 1,
"income_tax_expense": 1,
"net_income_discontinued_operations": 1,
"net_income_non_controlling_interests": 1,
"net_income": 1,
"net_income_common_stock": 1,
"preferred_dividends_impact": 1,
"consolidated_income": 1,
"earnings_per_share": 1,
"earnings_per_share_diluted": 1,
"dividends_per_common_share": 1,
"weighted_average_shares": 1,
"weighted_average_shares_diluted": 1
}
]
}